%define dist libnet
Name: perl-%dist
Version: 1.19
Release: alt1
Epoch: 1

Summary: Collection of Network protocol modules for Perl
License: GPL or Artistic
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

# passive FTP connections by default
Patch0: %name-1.13-alt-ftp-passive.patch
# don't look for any previous libnet installation
Patch1: %name-1.16-alt-buildreq.patch
# support for /etc/perl5
Patch2: %name-1.12-alt-deb-etc-perl5.patch
# mention <Port> argument in Net::SMTP
Patch3: %name-1.12-deb-smtp-docs.patch

BuildArch: noarch

Requires: perl-base >= 1:5.8.1
BuildPreReq: perl-devel

%description
libnet is a collection of Perl modules which provides a simple
and consistent programming interface (API) to the client side
of various protocols used in the internet community.

The RFC implemented in this distribution are

Net::FTP 	RFC959		File Transfer Protocol
Net::SMTP	RFC821		Simple Mail Transfer Protocol
Net::Time	RFC867		Daytime Protocol
Net::Time	RFC868		Time Protocol
Net::NNTP	RFC977		Network News Transfer Protocol
Net::POP3	RFC1939		Post Office Protocol 3
Net::SNPP	RFC1861		Simple Network Pager Protocol

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%perl_fix_local Net/SMTP.pm
%perl_vendor_build

%install
%perl_vendor_install
%__mkdir_p %buildroot%_sysconfdir/perl5/Net
%__mv %buildroot{%perl_vendor_privlib,%_sysconfdir/perl5}/Net/libnet.cfg

%files
%doc README Change* demos
%dir %_sysconfdir/perl5/Net
%config(noreplace) %_sysconfdir/perl5/Net/libnet.cfg
%perl_vendor_privlib/Net*
%perl_vendor_man3dir/Net*

%changelog
* Thu Jul 01 2004 Alexey Tourbin <at@altlinux.ru> 1:1.19-alt1
- 1.17 -> 1.19

* Fri Sep 26 2003 Alexey Tourbin <at@altlinux.ru> 1:1.17-alt1
- 1.17

* Fri Jun 20 2003 Alexey Tourbin <at@altlinux.ru> 1:1.16-alt1
- 1.16
- don't look for any previous installation/the existing libnet.cfg
- Net/libnet.cfg moved to /etc/perl5 (requires perl-5.8.1)
- triggerun added to move old configuration file on upgrade

* Sat Apr 26 2003 Alexey Tourbin <at@altlinux.ru> 1:1.13-alt3
- ignore Authen::SASL dependency

* Fri Mar 20 2003 Alexey Tourbin <at@altlinux.ru> 1:1.13-alt2
- nointeractive.patch removed; alt-ftp-passive.patch added
- specfile cleanup; docs added

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 1:1.13-alt1
- 1.13

* Sat Oct 26 2002 Alexey Tourbin <at@altlinux.ru> 1:1.12-alt2
- rebuilt for perl-5.8 with new rpm macros

* Thu Jun 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.12-alt1
- 1.12

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0901-alt1
- 1.0901

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.0703-ipl3mdk
- Rebuilt with perl-5.6.1

* Mon Jan 29 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.0703-ipl2mdk
- Changed:
  + skipping 'make test' due to its dependancy on network environment

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.0703-ipl1mdk
- Changed:
  + adapted spec for Sisyphus

* Tue Jun 27 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.0703-3mdk_mhz
- fixed .packlist and RPM filelist
- ExclusiveArch: noarch

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0703-2mdk
- Don't ask interactive questions.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0703-1mdk
- 1.0703
- fixed group
- rebuild with new perl
- fixed location

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 1.0607-1mdk
- upgraded to 1.0607

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
